=== debian/changelog ===
msp430-libc (20110612-2) unstable; urgency=low

  * New upstream patch-point
    + SF 3387164: put BV macro back 

 -- Luca Bruno <lucab@debian.org>  Wed, 17 Aug 2011 15:39:02 +0200

msp430-libc (20110612-1) unstable; urgency=low

  * New upstream release
    + First official mspgcc tarball

 -- Luca Bruno <lucab@debian.org>  Mon, 13 Jun 2011 11:44:09 +0200

msp430-libc (0~20110610-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #510102)

 -- Luca Bruno <lucab@debian.org>  Fri, 10 Jun 2011 11:38:35 +0200
