=== debian/control ===
Source: msp430-libc
Section: devel
Priority: extra
Maintainer: Luca Bruno <lucab@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 7), gcc-msp430, binutils-msp430, msp430mcu

Package: msp430-libc
Architecture: any
Depends: ${shlib:Depends}, ${misc:Depends} 
Suggests: binutils-msp430, gcc-msp430, msp430mcu
Description: Standard C library for TI MSP430 development
 Standard library used to the development of C programs for the
 Texas Instruments MSP430 micro controllers. This package contains static
 libraries as well as the headers to be used with MSP430 cross-compilers.
 .
 This package is primarily intended to be used by MSP430 developers, in 
 conjunction with a suitable toolchain.
