=== debian/rules ===
#!/usr/bin/make -f

# Package name, source dir and target installation dir.
PACKAGE=msp430-libc
DESTDIR=$(CURDIR)/debian/$(PACKAGE)/usr

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=$(DESTDIR) -C src 
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp unpack-stamp patch-stamp
	rm -rf $(DESTDIR)
	$(MAKE) PREFIX=$(DESTDIR) -C src clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) TOOL_PREFIX=/usr PREFIX=$(DESTDIR) -C src install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -n
	dh_installman
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_shlibdeps
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
