## msp430-libc 20120224

=== src/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MSP430 libc
 #
-VERSION = 20101010
+VERSION = 20120224
 
 # installation prefix (set this if you don't install by hand)
 ifndef PREFIX
@@ -70,7 +70,7 @@
 	for i in `$(CC) --print-multi-lib 2>/dev/null`; do \
 	  dir=`echo $$i | sed -e 's/;.*$$//'` ; \
 	  mkdir -p $(libdir)/$$dir; \
-	  $(MAKE) $(MFLAGS) MULTILIB_DIR="$$dir" install-libc install-libm ; \
+	  $(MAKE) $(MFLAGS) "MULTILIB_DIR=$$dir" install-libc install-libm ; \
 	done;
 
 .PHONY: clean-multilib clean-libc clean-libm
@@ -154,6 +154,8 @@
 addsf.c eqsf.c fixunssfdi.c floatsisf.c lesf.c negsf.c \
 cmpsf.c fixsfdi.c fixunssfsi.c gesf.c ltsf.c subsf.c nesf.c
 
+basic_fp_asm = fpmulparts.S
+
 fppfunc	= ef_acos.c ef_hypot.c ef_remainder.c kf_sin.c sf_erf.c sf_isinf.c sf_rint.c \
 ef_acosh.c ef_j0.c ef_scalb.c kf_tan.c sf_expm1.c sf_isnan.c sf_scalbn.c \
 ef_asin.c ef_j1.c ef_sinh.c sf_asinh.c sf_fabs.c sf_ldexp.c sf_signif.c \
@@ -163,11 +165,10 @@
 ef_exp.c ef_pow.c kf_cos.c sf_copysign.c sf_ilogb.c sf_nan.c \
 ef_fmod.c ef_rem_pio2.c kf_rem_pio2.c sf_cos.c sf_infinity.c sf_nextafter.c
 
-
 LIBM = $(BUILDDIR)/libm.a
 LIBFP = $(BUILDDIR)/libfp.a
-LIBM_OBJS = $(addprefix $(BUILDDIR)/,$(notdir $(fppfunc:%.c=%.o)))
-LIBFP_OBJS = $(addprefix $(BUILDDIR)/,$(notdir $(basic_fp:%.c=%.o)))
+LIBM_OBJS = $(addprefix $(BUILDDIR)/, $(fppfunc:%.c=%.o))
+LIBFP_OBJS = $(addprefix $(BUILDDIR)/, $(basic_fp:%.c=%.o) $(basic_fp_asm:.S=.o))
 
 build-libm: create_libdir $(LIBM) $(LIBFP)
