=== debian/changelog ===
msp430-libc (20120224-1ubuntu1) zesty; urgency=medium

  * Apply patch from Chris Lamb (Debian) to fix shlibs.
  * Modernise packaging:
    + Use dh 10 and bump compat to 9.
    + Add build-arch and build-indep targets.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 14 Jan 2017 12:39:42 +0530

msp430-libc (20120224-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 19 May 2012 10:07:08 +0200
