=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: msp430-libc
 Section: devel
 Priority: extra
-Maintainer: Luca Bruno <lucab@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7), gcc-msp430, binutils-msp430, msp430mcu
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luca Bruno <lucab@debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 10), gcc-msp430, binutils-msp430, msp430mcu
 
 Package: msp430-libc
 Architecture: any
-Depends: ${shlib:Depends}, ${misc:Depends} 
+Depends: ${shlibs:Depends}, ${misc:Depends} 
 Suggests: binutils-msp430, gcc-msp430, msp430mcu
 Description: Standard C library for TI MSP430 development
  Standard library used to the development of C programs for the
