=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,11 @@
 #export DH_VERBOSE=1
 
 build: build-stamp
+build-indep: build
+build-arch: build
 build-stamp:
 	dh_testdir
+	./configure
 	$(MAKE) PREFIX=$(DESTDIR) -C src 
 	touch build-stamp
 
@@ -18,6 +21,7 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp unpack-stamp patch-stamp
 	rm -rf $(DESTDIR)
+	rm -rf configure.sed
 	$(MAKE) PREFIX=$(DESTDIR) -C src clean
 	dh_clean
 
@@ -33,7 +37,7 @@
 	dh_testroot
 	dh_installdocs -n
 	dh_installman
-	dh_installchangelogs
+	dh_installchangelogs RELEASES.TXT
 	dh_lintian
 	dh_link
 	dh_shlibdeps
