=== debian/watch ===
version=3
http://sf.net/mspgcc/msp430-libc/msp430-libc-(.*)\.tar\.bz2
